import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { environment } from '../enviroments/environment';
import { LoggerService } from './logger.service';

@Injectable({ providedIn: 'root' })
export class InviteService {

  private apiUrl = environment.apiBaseUrl;

  constructor(private http: HttpClient, private logger: LoggerService) {}
  

  sendInvite(inviteEmail:string) {
    if (!inviteEmail) return;

    this.logger.log(`Sending invite to ${inviteEmail}`);

    console.log("api: " + this.apiUrl);

    this.http.post(this.apiUrl+'api/invite', { email: inviteEmail }).subscribe({
      next: () => {
        alert('Invite sent!');
        inviteEmail = '';
      },
      error: () => {
        alert('Failed to send invite.');
      }
    });
  }
}